Create a developer or service credential with one-time secret reveal
curl --request POST \
--url https://api.firedrill.run/v1/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"actions": [],
"expiresAtMs": 0,
"projectId": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/credentials"
payload = {
"name": "<string>",
"actions": [],
"expiresAtMs": 0,
"projectId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', actions: [], expiresAtMs: 0, projectId: '<string>'})
};
fetch('https://api.firedrill.run/v1/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential": {
"schemaVersion": 1,
"credentialId": "<string>",
"organizationId": "<string>",
"kind": "browser",
"subjectId": "<string>",
"name": "<string>",
"actions": [
"profile.read"
],
"keyPrefix": "<string>",
"expiresAtMs": 0,
"createdAtMs": 0,
"projectId": "<string>",
"revokedAtMs": 0,
"lastUsedAtMs": 0
},
"secret": "<string>"
}{
"credential": {
"schemaVersion": 1,
"credentialId": "<string>",
"organizationId": "<string>",
"kind": "browser",
"subjectId": "<string>",
"name": "<string>",
"actions": [
"profile.read"
],
"keyPrefix": "<string>",
"expiresAtMs": 0,
"createdAtMs": 0,
"projectId": "<string>",
"revokedAtMs": 0,
"lastUsedAtMs": 0
},
"secret": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Create a developer or service credential with one-time secret reveal
Create a developer or service credential with one-time secret reveal
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Body
application/json
Available options:
developer, service Required string length:
1 - 100Pattern:
^[^\r\n\t]+$Required array length:
1 - 128 elementsAvailable options:
profile.read, profile.manage, organization.read, organization.manage, organization.billing.read, organization.billing.manage, organization.audit.read, organization.evidence.export, organization.members.manage, project.create, project.read, project.manage, project.members.manage, repository.read, repository.connect, repository.sync, build.read, build.publish, environment.read, environment.create, environment.promote, environment.archive, session.read, session.create, session.control, session.destroy, drill.read, drill.run, run.read, run.cancel, run.compare, evidence.read, evidence.delete, evidence.share, evidence.export, evidence.upload, credential.manage, tool.read, tool.publish, authoring.read, authoring.run, authoring.publish, ci.execute Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^prj_[0-9a-z]{12,32}$